%global dlrn_nvr tripleo-operator-ansible-0.9.1.dev6-2.20230429005011.e1abb34
%global dlrn 1
%define upstream_version 0.9.1.dev6
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%global srcname tripleo_operator_ansible
%global collectionname tripleo-operator-ansible

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{collectionname}
Version: 0.9.1
Release: 2.20230429005011.e1abb34%{?dist}
Summary:        Ansible Collection to perform TripleO related actions.

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://opendev.org/openstack/tripleo-operator-ansible
Source0: tripleo-operator-ansible-0.9.1.dev6-2.20230429005011.e1abb34.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=e1abb34ef8eddaebaee63012730b5c65ca731c24

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

# Handle python2 exception
%if %{pyver} == 2
Requires: ansible
%else
Requires: python3dist(ansible)
%endif

%description

Ansible Collection to perform TripleO related actions

%prep
%autosetup -n %{collectionname}-%{upstream_version} -S git


%build
%pyver_build


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%pyver_install


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/collections/ansible_collections/tripleo/operator/


%changelog
* Fri Apr 28 2023 OSP Prod Chain <dev-null@redhat.com> 0.9.1-2.20230429005011.e1abb34
- Update patches
- Make ceph ntp parameters specific to wallaby

* Tue Apr 25 2023 OSP Prod Chain <dev-null@redhat.com> 0.9.1-2.20230426005039.2dfcfff
- Update patches
- Add ntp parameters to ceph deploy

* Fri Mar 03 2023 OSP Prod Chain <dev-null@redhat.com> 0.9.1-2.20230304005215.400a47b
- Update patches
- Fix molecule jobs

* Thu Nov 17 2022 OSP Prod Chain <dev-null@redhat.com> 0.9.1-2.20221118004820.f1eb6b6
- Update patches
- Ansible-2.14 compatibility

* Wed Nov 16 2022 OSP Prod Chain <dev-null@redhat.com> 0.9.1-2.20221117005210.8e447fb
- Update patches
- Correct parameter ordering

* Thu Oct 13 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20221013154735.e4b4658
- Update patches
- Switch to openstack-python3-zed-jobs job template

* Tue Jun 28 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20220628214844.fd8f962
- Update patches

* Thu Jun 24 2021 Chandan Kumar (raukadah) <chkumar@redhat.com> 0.5.1-1
- Update to 0.5.1

* Wed May 12 2021 Chandan Kumar <chkumar@redhat.com> 0.4.0-1
- Update to 0.4.0
- Includes fixes for ftbfs
